package com.diagbot.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author zhoutg
 * @since 2020-08-04
 */
public class MedLisResult implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 报告单号
     */
    private String repNo;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 住院病人ID
     */
    private String behospitalCode;

    /**
     * 报告代码
     */
    private String itemCode;

    /**
     * 报告名称
     */
    private String itemName;

    /**
     * 检验结果
     */
    private String result;

    /**
     * 参考值
     */
    private String reference;

    /**
     * 最小参考值
     */
    private String referenceMin;

    /**
     * 最大参考值
     */
    private String referenceMax;

    /**
     * 单位
     */
    private String unit;

    /**
     * 异常标志
     */
    private String abnormal;

    /**
     * 异常颜色
     */
    private String color;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    public String getRepNo() {
        return repNo;
    }

    public void setRepNo(String repNo) {
        this.repNo = repNo;
    }
    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }
    public String getBehospitalCode() {
        return behospitalCode;
    }

    public void setBehospitalCode(String behospitalCode) {
        this.behospitalCode = behospitalCode;
    }
    public String getItemCode() {
        return itemCode;
    }

    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }
    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }
    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }
    public String getReference() {
        return reference;
    }

    public void setReference(String reference) {
        this.reference = reference;
    }
    public String getReferenceMin() {
        return referenceMin;
    }

    public void setReferenceMin(String referenceMin) {
        this.referenceMin = referenceMin;
    }
    public String getReferenceMax() {
        return referenceMax;
    }

    public void setReferenceMax(String referenceMax) {
        this.referenceMax = referenceMax;
    }
    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }
    public String getAbnormal() {
        return abnormal;
    }

    public void setAbnormal(String abnormal) {
        this.abnormal = abnormal;
    }
    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    @Override
    public String toString() {
        return "MedLisResult{" +
            "repNo=" + repNo +
            ", hospitalId=" + hospitalId +
            ", behospitalCode=" + behospitalCode +
            ", itemCode=" + itemCode +
            ", itemName=" + itemName +
            ", result=" + result +
            ", reference=" + reference +
            ", referenceMin=" + referenceMin +
            ", referenceMax=" + referenceMax +
            ", unit=" + unit +
            ", abnormal=" + abnormal +
            ", color=" + color +
            ", isDeleted=" + isDeleted +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
            ", creator=" + creator +
            ", modifier=" + modifier +
        "}";
    }
}
